NWGRANT(8)

NAME
nwgrant - Add Trustee Rights to a directory

SYNOPSIS
nwgrant [ -h ] [ -S server ] [ -U user name ] [ -P password | -n ] [ -C ] [ -o object name | -O object id ] [ -t type ] [ -r rights ] file/directory

DESCRIPTION
nwgrant adds the specified bindery object with the corresponding trustee rights to the directory. nwgrant looks up the file $HOME/.nwclient to find a file server, a user name and possibly a password. See nwclient(5) for more information. Please note that the access permissions of $HOME/.nwclient MUST be 600 for security reasons.

OPTIONS
-h
    -h is used to print out a short help text.
-S server
    server is the name of the server you want to use.
-U user
    user is the user name to use for login.
-P password
    password is the password to use for login. If neither -n nor -P are given, and the user has no open connection to the server, nwgrant prompts for a password.
-n
    -n should be given if no password is required for the login.
-C
    By default, passwords are converted to uppercase before they are sent to the server, because most servers require this. You can turn off this conversion by -C.
-o object name
    The name of the object to be added as trustee.
-O object id
    The id of the object to be added as trustee.
-t object type
    The type of the object. Object type must be specified as a decimal value. Common values are 1 for user objects, 2 for group objects and 3 for print queues. Other values are allowed, but are usually used for specialized applications. If you do not specify object type, object name is taken as NDS name.
-r rights
    You must tell nwgrant which rights it should grant to the bindery object. The new rights for the object is specified by rights, which can be either a hexadecimal number representing the sum of all the individual rights to be granted or a string containing characters representing each right. Characters within the brackets may be in any order and in either case. Spaces are allowed between the brackets - in which case the entire string should be quoted. Hexadecimal and character values for the rights are shown in this table:
        00 = no access
        01 = read access = R
        02 = write access = W
        08 = create access = C
        10 = delete access = E
        20 = ownership access = A
        40 = search access = F
        80 = modify access = M
       100 = supervisory access = S for a possible total of "1fb" or "[SRWCEMFA]" for all rights.
file/directory
    You must specify the directory to which to add the object as trustee. This has to be done in fully qualified NetWare notation. Example: nwgrant -S NWSERVER -o linus -t 1 -r fb 'data:home\linus' With this example, user linus is given all rights except supervisory to his home directory on the data volume. This example assumes the existence of the file $HOME/.nwclient. nwgrant -o linus -t 1 -r fb /home/linus/ncpfs/data/home/linus With this example, user linus is given all rights except supervisory to his home directory on the data volume. This example assumes that NWSERVER is already mounted on /home/linus/ncpfs mountpoint.

AUTHORS
nwgrant was written by Volker Lendecke with the corresponding NetWare utility in mind. See the Changes file of ncpfs for other contributors.